Bug 58599 - (SCSI AIC7XXX)oops with aic7xxx when fscking ext3 sw-raid partitions
(SCSI AIC7XXX)oops with aic7xxx when fscking ext3 sw-raid partitions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-21 03:20 EST by Pekka Savola
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot logs and decoded crash dump (13.18 KB, text/plain)
2002-01-21 03:20 EST, Pekka Savola
no flags Details

  None (edit)
Description Pekka Savola 2002-01-21 03:20:01 EST
2.4.9-13 oopses on P3/1.2Ghz with AIC 7899 when forced to fsck ext3
software-raided
partitions.  If fsck is not forced, the box usually crashes later; with fsck,
it's reproducible.

As there appear to be a few SCSI errors, this *might* also be due to some SCSI
hardware problem; otherwise I assume a bug in aic7xxx drivers.

Errors are like:

blk: queue f7020418, I/O limit 4095Mb (mask 0xffffffff)

or:

Jan 21 09:52:33 seepra1 kernel: scsi : aborting command due to timeout :
pid 0, scsi1, channel 0, id 0, lun 0 Read (10) 00 00 02 41 07 00 00 c8 00
Jan 21 09:52:33 seepra1 kernel: (scsi1:0:0:0) SCSISIGI 0x46, SEQADDR 0x61,
SSTAT0 0x5, SSTAT1 0x3
Jan 21 09:52:33 seepra1 kernel: (scsi1:0:0:0) SG_CACHEPTR 0x58, SSTAT2
0x0, STCNT 0x0

The beginnings of the oops are:
--8<--
Checking filesystems
/work: recovering journal
Unable to handle kernel NULL pointer dereference at virtual address 00000000
*pde = 00000000
Oops: 0000
CPU:	0
EIP:	0010:[<f8827c28>]    Not tainted
EFLAGS: 00010002
eax: 0000000d   ebx: f7cce07c   ecx: f883d000   edx: 00000000
esi: f883d000   edi: 00000000   ebp: 00000000   esp: efc537e8
ds: 0018   es: 0018   ss: 0018
Process fsck.ext3 (pid: 118, stackpage=efc53000)
Stack: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	00000000 00000000 0000000d 00000000 00000000 00000000 00000001 00000000
Call Trace: [<f8828ef2>] aic7xxx_info [aic7xxx] 0x9f92
[<f8828f28>] aic7xxx_info [aic7xxx] 0x9fc8
[<c010825a>] handle_IRQ_event [kernel] 0x3a
[<c01083d8>] do_IRQ [kernel] 0x68
[<c0211fec>] call_do_IRQ [kernel] 0x5
[<c0108249>] handle_IRQ_event [kernel] 0x29

[...]
--8<--

Full oops and boot log is attached.
Comment 1 Pekka Savola 2002-01-21 03:20:42 EST
Created attachment 42994 [details]
boot logs and decoded crash dump
Comment 2 Bugzilla owner 2004-09-30 11:39:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.